MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028103Open CASCADE[OCCT] OCCT:Foundation Classespublic2016-11-14 18:042016-12-09 16:39
Reporterabk 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028103: Foundation Classes - extend NCollection_Map to check whether two given maps are intersected
DescriptionExtend type 'NCollection_Map' by method 'IsIntersection' to check whether two given maps are intersected.
Steps To Reproducetest collections n map
TagsNo tags attached.
Test case numbercollections n map
Attached Files

- Relationships

-  Notes
(0060317)
git (administrator)
2016-11-14 18:09

Branch CR28103 has been created by abk.

SHA-1: a271e571834d0b7b287a877102192ed38c657ac4


Detailed log of new commits:

Author: abk
Date: Mon Nov 14 18:08:44 2016 +0300

    28103: Extend type 'NCollection_Map' to check whether two given maps are intersected
    
    Mehtod 'IsIntersection' was created to check whether two given 'NCollection_Map' maps are intersected.
    
    'Draw' command and test to check the method were created.
(0060318)
abk (developer)
2016-11-14 18:11

The method was created.
Please review.
(0060319)
git (administrator)
2016-11-14 18:22

Branch CR28103 has been updated forcibly by abk.

SHA-1: 5d6b779f0219e76510ab8db46c929f9993f7e67d
(0060322)
msv (developer)
2016-11-14 19:22

Reviewed.
(0060367)
mkv (tester)
2016-11-15 15:51

Dear BugMaster,
Branch CR28103 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5d6b779f0219e76510ab8db46c929f9993f7e67d

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1123

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28103-master-OCCT/Debian70-64/collections/n/map.html [^]
http://occt-tests/CR28103-master-OCCT/Windows-64-VC10/collections/n/map.html [^]
collections n map: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90911185 / 91880280 [-1.05%]
Total CPU difference: 21718.740000000158 / 21600.70000000031 [+0.55%]
products component :
Total MEMORY difference: 29967472 / 29935586 [+0.11%]
Total CPU difference: 5305.989999999976 / 5309.249999999963 [-0.06%]

Testing on Windows:
occt component :
Total MEMORY difference: 56587780 / 56597852 [-0.02%]
Total CPU difference: 20137.57628619847 / 19669.510885798518 [+2.38%]
products component :
Total MEMORY difference: 20822543 / 20790286 [+0.16%]
Total CPU difference: 5280.633849999977 / 5153.477434899959 [+2.47%]

There are no differences in images found by testdiff.
(0060368)
git (administrator)
2016-11-15 15:51

Branch CR28103 has been updated by mkv.

SHA-1: 8e1c97547f35aa92ce121d0c665daf3830ede9ea


Detailed log of new commits:

Author: mkv
Date: Tue Nov 15 15:50:46 2016 +0300

    Small correction of test case for issue CR28103

(0060370)
mkv (tester)
2016-11-15 15:52

Dear BugMaster,
Branch CR28103 is TESTED.
(0060474)
abv (manager)
2016-11-17 06:23

Alexander, Mikhail: can you explain why the new method is called "IsIntersection" and not "HasIntersection"?
(0060480)
msv (developer)
2016-11-17 11:07

I agree that HasIntersection is better.
(0060497)
git (administrator)
2016-11-17 15:09

Branch CR28103_1 has been created by abv.

SHA-1: 3418ad63cd48e57e09f89e8d313551b2f3605307


Detailed log of new commits:

Author: abk
Date: Mon Nov 14 18:08:44 2016 +0300

    28103: Extend type 'NCollection_Map' to check whether two given maps are intersected
    
    Mehtod HasIntersection added in NCollection_Map to check whether two given maps contain at least one same item.
    
    'Draw' command and test to check the method were created.
(0060498)
abv (manager)
2016-11-17 15:10

Please integrate branch CR28103_1: it is the same as CR28103, just the new method is renamed to "HasIntersection"
(0060528)
apn (administrator)
2016-11-18 14:16

There is new warning on vc14 (win32 and win64):

QANCollection_Test.cxx:345, MSBuild, Priority: Normal
declaration of 'aM2' hides previous local declaration
(0060530)
git (administrator)
2016-11-18 14:30

Branch CR28103_1 has been updated forcibly by abk.

SHA-1: 4d0b358696ac181e152ccae7e3ee263a7ee6acde
(0060533)
abk (developer)
2016-11-18 14:33

The warning was fixed.
Please integrate branch CR28103_1.
(0061295)
git (administrator)
2016-12-07 11:31

Branch CR28103 has been deleted by kgv.

SHA-1: 8e1c97547f35aa92ce121d0c665daf3830ede9ea
(0061296)
git (administrator)
2016-12-07 11:31

Branch CR28103_1 has been deleted by kgv.

SHA-1: 4d0b358696ac181e152ccae7e3ee263a7ee6acde

- Related Changesets
occt: master d673da18
Timestamp: 2016-11-14 15:08:44
Author: abk
Committer: apn
Details ] Diff ]
0028103: Foundation Classes - extend NCollection_Map to check whether two given maps are intersected

Mehtod HasIntersection added in NCollection_Map to check whether two given maps contain at least one same item.
'Draw' command and test to check the method were created.
mod - src/NCollection/NCollection_Map.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Test.cxx Diff ] File ]
add - tests/collections/grids.list Diff ] File ]
add - tests/collections/n/begin Diff ] File ]
add - tests/collections/n/end Diff ] File ]
add - tests/collections/n/map Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-14 18:04 abk New Issue
2016-11-14 18:04 abk Assigned To => abv
2016-11-14 18:09 git Note Added: 0060317
2016-11-14 18:11 abk Note Added: 0060318
2016-11-14 18:11 abk Status new => resolved
2016-11-14 18:11 abk Steps to Reproduce Updated View Revisions
2016-11-14 18:12 abk Assigned To abv => msv
2016-11-14 18:18 kgv Summary Extend type 'NCollection_Map' to check whether two given maps are intersected => Foundation Classes - extend NCollection_Map to check whether two given maps are intersected
2016-11-14 18:22 git Note Added: 0060319
2016-11-14 19:22 msv Note Added: 0060322
2016-11-14 19:22 msv Assigned To msv => bugmaster
2016-11-14 19:22 msv Status resolved => reviewed
2016-11-14 19:38 mkv Assigned To bugmaster => mkv
2016-11-15 15:51 mkv Note Added: 0060367
2016-11-15 15:51 git Note Added: 0060368
2016-11-15 15:52 mkv Note Added: 0060370
2016-11-15 15:52 mkv Assigned To mkv => bugmaster
2016-11-15 15:52 mkv Status reviewed => tested
2016-11-15 15:52 mkv Test case number => collections n map
2016-11-15 16:19 abk Relationship added related to 0028100
2016-11-17 06:23 abv Note Added: 0060474
2016-11-17 11:07 msv Note Added: 0060480
2016-11-17 15:09 git Note Added: 0060497
2016-11-17 15:10 abv Note Added: 0060498
2016-11-18 14:16 apn Note Added: 0060528
2016-11-18 14:16 apn Assigned To bugmaster => abk
2016-11-18 14:16 apn Status tested => feedback
2016-11-18 14:30 git Note Added: 0060530
2016-11-18 14:32 abk Assigned To abk => apn
2016-11-18 14:33 abk Note Added: 0060533
2016-11-18 16:33 apn Assigned To apn => bugmaster
2016-11-18 16:33 apn Status feedback => tested
2016-11-18 16:37 apn Changeset attached => occt master d673da18
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061295
2016-12-07 11:31 git Note Added: 0061296
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker